#include <bits/stdc++.h>
#include <stdlib.h>
using namespace std;

unsigned long long nul(short x)
{
    unsigned long long broj = 1;

    for(short i=0; i < x; i++)
        broj *= 10;

    return broj;

}

int main()
{
    unsigned long long a, b, c, mx;
    short xa=0, xb=0, xc=0;

    scanf("%llu%llu%llu", &a, &b, &c);

    while(a / nul(xa) > 0)
        xa++;

    while(b / nul(xb) > 0)
        xb++;

    while(c / nul(xc) > 0)
        xc++;

    mx = a * nul(xb) * nul(xc) + b * nul(xc) + c;

    if(mx < a * nul(xb) * nul(xc) + c * nul(xb) + b)
        mx = a * nul(xb) * nul(xc) + c * nul(xb) + b;

    if(mx < b * nul(xa) * nul(xc) + a * nul(xc) + c)
        mx = b * nul(xa) * nul(xc) + a *nul(xc) + c;

    if(mx < b * nul(xa) * nul(xc) + c * nul(xa) + a)
        mx = b * nul(xa) * nul(xc) + c * nul(xa) + a;

    if(mx < c * nul(xb) * nul(xa) + a * nul(xb) + b)
        mx = c * nul(xb) * nul(xa) + a * nul(xb) + b;

    if(mx < c * nul(xb) * nul(xa) + b * nul(xa) + a)
        mx = c * nul(xb) * nul(xa) + b * nul(xa) + a;

    printf("%llu", mx);

    return 0;
}